Hmatrix {AGHmatrix} | R Documentation

## Construction of Combined Relationship Matrix H

### Description

Given a matrix A and a matrix G returns a H matrix.

### Usage

    Hmatrix(A = NULL, G = NULL, markers = NULL, c = 0,
      method = "Martini", tau = 1, omega = 1, missingValue = -9,
      maf = 0, ploidy = 2, roundVar = 3)

### Arguments

`A` | A matrix from function Amatrix
`G` | G matrix from function Gmatrix
`markers` | matrix marker which generated the Gmatrix
`c` | constant value of H computation, default: c=0
`method` | "Martini" or "Munoz", default="Martini"
`tau` | to be used for Martini's method, default=1.
`omega` | to be used of Martini's method, default=1.
`missingValue` | missing value in data, default=-9.
`maf` | max of missing data accepted to each markerm default=0.05.
`ploidy` | data ploidy (an even number between 2 and 20), default=2.
`roundVar` | Munoz's method, how many digits to consider the relationship be of same class, default=2.

### Value

H Matrix with the relationship between the individuals based on pedigree and corrected by molecular information

### Author(s)

Rodrigo R Amadeu, rramadeu@gmail.com

### References

Munoz, P. R., Resende, M. F. R., Gezan, S. A., Resende, M. D. V., de los Campos, G., Kirst, M., Huber, D., Peter, G. F. (2014). Unraveling additive from nonadditive effects using genomic relationship matrices. Genetics, 198.4: 1759-1768.

Martini, J. W., Schrauf, M. F., Garcia-Baccino, C. A., Pimentel, E. C., Munilla, S., Rogberg-Munoz, A., ... & Simianer, H. (2018). The effect of the H-1 scaling factors tau and omega on the structure of H in the single-step procedure. Genetics Selection Evolution, 50(1), 16.

### Examples

    ## Not run:
    data(ped.sol)
    data(snp.sol)
    #Computing the numerator relationship matrix 10% of double-reduction
    Amat <- Amatrix(ped.sol, ploidy=4, w = 0.1)
    #Computing the additive relationship matrix based on VanRaden (modified)
    Gmat <- Gmatrix(snp.sol, ploidy=4, missingValue=-9,
                    maf=0.05, method="VanRaden")
    #Computing H matrix (Martini)
    Hmat_Martini <- Hmatrix(A=Amat, G=Gmat, method="Martini",
                         ploidy=4, missingValue=-9, maf=0.05)
    #Computing H matrix (Munoz)
    Hmat_Munoz <- Hmatrix(A=Amat, G=Gmat, markers = snp.sol,
                          ploidy=4, method="Munoz",
                          roundVar=2,
                          missingValue=-9, maf=0.05)

    ## End(Not run)

[Package AGHmatrix version 1.0.2 Index]